Loading...
Searching...
No Matches
XrdPssUtils.hh File Reference
`#include <vector>`
Include dependency graph for XrdPssUtils.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdPssUtils

## Macros

#define | IS_FWDPATH(x)

## Macro Definition Documentation

## IS_FWDPATH

#define IS_FWDPATH | ( |  | x | ) |

Value:
((*(x+1) == 'x' || *(x+1) == 'r') \
&& (!strncmp("/xroot:/", x,8) || !strncmp("/root:/", x,7)\
|| !strncmp("/xroots:/",x,9) || !strncmp("/roots:/",x,8)))

Definition at line 64 of file XrdPssUtils.hh.

#define IS_FWDPATH(x) ((*(x+1) == 'x' || *(x+1) == 'r') \
&& (!strncmp("/xroot:/", x,8) || !strncmp("/root:/", x,7)\
|| !strncmp("/xroots:/",x,9) || !strncmp("/roots:/",x,8)))

Referenced by XrdPssFile::Open().